Browse Source

Sync with portage [Sun Oct 1 01:28:00 MSK 2017].

mhiretskiy
root 4 years ago
parent
commit
f434fbd859
  1. 1
      app-admin/collectd/collectd-5.7.2.ebuild
  2. 160
      app-admin/collectd/files/collectd-5.7.2-issue-2443.patch
  3. 2
      app-admin/filebeat/Manifest
  4. 0
      app-admin/filebeat/filebeat-5.6.2.ebuild
  5. 2
      app-admin/glance/glance-15.0.0.ebuild
  6. 4
      app-admin/hardening-check/hardening-check-2.7.ebuild
  7. 2
      app-admin/logrotate/logrotate-3.12.3-r1.ebuild
  8. 2
      app-admin/logstash-bin/Manifest
  9. 40
      app-admin/logstash-bin/files/logstash.confd-r1
  10. 75
      app-admin/logstash-bin/files/logstash.initd-r1
  11. 12
      app-admin/logstash-bin/logstash-bin-5.6.2.ebuild
  12. 1
      app-admin/puppetserver/Manifest
  13. 113
      app-admin/puppetserver/puppetserver-2.7.1.ebuild
  14. 2
      app-admin/puppetserver/puppetserver-2.8.0.ebuild
  15. 1
      app-admin/systemrescuecd-x86/Manifest
  16. 61
      app-admin/systemrescuecd-x86/systemrescuecd-x86-5.1.1.ebuild
  17. 2
      app-arch/gnome-autoar/gnome-autoar-0.2.2.ebuild
  18. 2
      app-crypt/heimdal/heimdal-7.4.0.ebuild
  19. 1
      app-editors/qxmledit/Manifest
  20. 77
      app-editors/qxmledit/qxmledit-0.9.8.ebuild
  21. 2
      app-editors/tea/Manifest
  22. 56
      app-editors/tea/tea-43.1.0.ebuild
  23. 56
      app-editors/tea/tea-44.0.0.ebuild
  24. 2
      app-editors/tea/tea-44.1.0.ebuild
  25. 44
      app-emacs/pymacs/pymacs-0.25-r1.ebuild
  26. 1
      app-emulation/q4wine/Manifest
  27. 71
      app-emulation/q4wine/q4wine-1.3.4.ebuild
  28. 2
      app-emulation/q4wine/q4wine-1.3.5.ebuild
  29. 2
      app-emulation/wine-any/Manifest
  30. 9
      app-emulation/wine-any/files/builtin_ms_va_list.c
  31. 36
      app-emulation/wine-any/files/pr66838.c
  32. 37
      app-emulation/wine-any/files/pr69140.c
  33. 59
      app-emulation/wine-any/files/wine-1.5.26-winegcc.patch
  34. 21
      app-emulation/wine-any/files/wine-1.6-memset-O3.patch
  35. 31
      app-emulation/wine-any/files/wine-1.9.5-multilib-portage.patch
  36. 14
      app-emulation/wine-any/files/wine-2.0-multislot-apploader.patch
  37. 39
      app-emulation/wine-any/wine-any-2.0-r1.ebuild
  38. 39
      app-emulation/wine-any/wine-any-2.1-r1.ebuild
  39. 39
      app-emulation/wine-any/wine-any-2.10-r1.ebuild
  40. 39
      app-emulation/wine-any/wine-any-2.11-r1.ebuild
  41. 39
      app-emulation/wine-any/wine-any-2.12-r1.ebuild
  42. 39
      app-emulation/wine-any/wine-any-2.13-r1.ebuild
  43. 39
      app-emulation/wine-any/wine-any-2.14-r1.ebuild
  44. 39
      app-emulation/wine-any/wine-any-2.15-r1.ebuild
  45. 39
      app-emulation/wine-any/wine-any-2.16-r1.ebuild
  46. 39
      app-emulation/wine-any/wine-any-2.17-r1.ebuild
  47. 39
      app-emulation/wine-any/wine-any-2.2-r1.ebuild
  48. 39
      app-emulation/wine-any/wine-any-2.3-r1.ebuild
  49. 630
      app-emulation/wine-any/wine-any-2.4-r1.ebuild
  50. 615
      app-emulation/wine-any/wine-any-2.4.ebuild
  51. 630
      app-emulation/wine-any/wine-any-2.5-r1.ebuild
  52. 615
      app-emulation/wine-any/wine-any-2.5.ebuild
  53. 630
      app-emulation/wine-any/wine-any-2.6-r1.ebuild
  54. 615
      app-emulation/wine-any/wine-any-2.6.ebuild
  55. 630
      app-emulation/wine-any/wine-any-2.7-r1.ebuild
  56. 615
      app-emulation/wine-any/wine-any-2.7.ebuild
  57. 630
      app-emulation/wine-any/wine-any-2.8-r1.ebuild
  58. 615
      app-emulation/wine-any/wine-any-2.8.ebuild
  59. 632
      app-emulation/wine-any/wine-any-2.9-r1.ebuild
  60. 617
      app-emulation/wine-any/wine-any-2.9.ebuild
  61. 36
      app-emulation/wine-any/wine-any-9999.ebuild
  62. 2
      app-emulation/wine-d3d9/Manifest
  63. 9
      app-emulation/wine-d3d9/files/builtin_ms_va_list.c
  64. 36
      app-emulation/wine-d3d9/files/pr66838.c
  65. 37
      app-emulation/wine-d3d9/files/pr69140.c
  66. 59
      app-emulation/wine-d3d9/files/wine-1.5.26-winegcc.patch
  67. 21
      app-emulation/wine-d3d9/files/wine-1.6-memset-O3.patch
  68. 31
      app-emulation/wine-d3d9/files/wine-1.9.5-multilib-portage.patch
  69. 14
      app-emulation/wine-d3d9/files/wine-2.0-multislot-apploader.patch
  70. 39
      app-emulation/wine-d3d9/wine-d3d9-2.0-r1.ebuild
  71. 39
      app-emulation/wine-d3d9/wine-d3d9-2.1-r1.ebuild
  72. 39
      app-emulation/wine-d3d9/wine-d3d9-2.10-r1.ebuild
  73. 39
      app-emulation/wine-d3d9/wine-d3d9-2.11-r1.ebuild
  74. 39
      app-emulation/wine-d3d9/wine-d3d9-2.12-r1.ebuild
  75. 39
      app-emulation/wine-d3d9/wine-d3d9-2.13-r1.ebuild
  76. 39
      app-emulation/wine-d3d9/wine-d3d9-2.14-r1.ebuild
  77. 39
      app-emulation/wine-d3d9/wine-d3d9-2.15-r1.ebuild
  78. 39
      app-emulation/wine-d3d9/wine-d3d9-2.16-r1.ebuild
  79. 39
      app-emulation/wine-d3d9/wine-d3d9-2.17-r1.ebuild
  80. 39
      app-emulation/wine-d3d9/wine-d3d9-2.2-r1.ebuild
  81. 39
      app-emulation/wine-d3d9/wine-d3d9-2.3-r1.ebuild
  82. 564
      app-emulation/wine-d3d9/wine-d3d9-2.4-r1.ebuild
  83. 549
      app-emulation/wine-d3d9/wine-d3d9-2.4.ebuild
  84. 564
      app-emulation/wine-d3d9/wine-d3d9-2.5-r1.ebuild
  85. 549
      app-emulation/wine-d3d9/wine-d3d9-2.5.ebuild
  86. 564
      app-emulation/wine-d3d9/wine-d3d9-2.6-r1.ebuild
  87. 549
      app-emulation/wine-d3d9/wine-d3d9-2.6.ebuild
  88. 564
      app-emulation/wine-d3d9/wine-d3d9-2.7-r1.ebuild
  89. 549
      app-emulation/wine-d3d9/wine-d3d9-2.7.ebuild
  90. 564
      app-emulation/wine-d3d9/wine-d3d9-2.8-r1.ebuild
  91. 549
      app-emulation/wine-d3d9/wine-d3d9-2.8.ebuild
  92. 566
      app-emulation/wine-d3d9/wine-d3d9-2.9-r1.ebuild
  93. 551
      app-emulation/wine-d3d9/wine-d3d9-2.9.ebuild
  94. 36
      app-emulation/wine-d3d9/wine-d3d9-9999.ebuild
  95. 2
      app-emulation/wine-staging/Manifest
  96. 9
      app-emulation/wine-staging/files/builtin_ms_va_list.c
  97. 36
      app-emulation/wine-staging/files/pr66838.c
  98. 37
      app-emulation/wine-staging/files/pr69140.c
  99. 59
      app-emulation/wine-staging/files/wine-1.5.26-winegcc.patch
  100. 21
      app-emulation/wine-staging/files/wine-1.6-memset-O3.patch

1
app-admin/collectd/collectd-5.7.2.ebuild

@ -156,6 +156,7 @@ REQUIRED_USE="
PATCHES=(
"${FILESDIR}"/${PN}-5.6.0-gentoo.patch
"${FILESDIR}"/${PN}-5.7.2-issue-2443.patch
)
# @FUNCTION: collectd_plugin_kernel_linux

160
app-admin/collectd/files/collectd-5.7.2-issue-2443.patch

@ -0,0 +1,160 @@
turbostat: import msr-index header from linux to allow building against
>=linux-4.12
Backport of https://github.com/collectd/collectd/pull/2446
--- a/configure.ac
+++ b/configure.ac
@@ -805,28 +805,6 @@ AC_CACHE_CHECK([whether clock_boottime and clock_monotonic are supported],
# For the turbostat plugin
-have_asm_msrindex_h="no"
-AC_CHECK_HEADERS(asm/msr-index.h, [have_asm_msrindex_h="yes"])
-
-if test "x$have_asm_msrindex_h" = "xyes"
-then
- AC_CACHE_CHECK([whether asm/msr-index.h has MSR_PKG_C10_RESIDENCY],
- [c_cv_have_usable_asm_msrindex_h],
- AC_COMPILE_IFELSE([AC_LANG_PROGRAM(
-[[[
-#include<asm/msr-index.h>
-]]],
-[[[
-int y = MSR_PKG_C10_RESIDENCY;
-return(y);
-]]]
- )],
- [c_cv_have_usable_asm_msrindex_h="yes"],
- [c_cv_have_usable_asm_msrindex_h="no"],
- )
- )
-fi
-
have_cpuid_h="no"
AC_CHECK_HEADERS(cpuid.h, [have_cpuid_h="yes"])
@@ -6108,7 +6086,7 @@ then
then
plugin_ipvs="yes"
fi
- if test "x$c_cv_have_usable_asm_msrindex_h" = "xyes" && test "x$have_cpuid_h" = "xyes"
+ if test "x$have_cpuid_h" = "xyes"
then
plugin_turbostat="yes"
fi
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1212,7 +1212,9 @@ endif
if BUILD_PLUGIN_TURBOSTAT
pkglib_LTLIBRARIES += turbostat.la
-turbostat_la_SOURCES = turbostat.c
+turbostat_la_SOURCES = \
+ turbostat.c \
+ msr-index.h
turbostat_la_LDFLAGS = $(PLUGIN_LDFLAGS)
endif
--- /dev/null
+++ b/src/msr-index.h
@@ -0,0 +1,88 @@
+/*
+ * Partial header file imported from the linux kernel
+ * (arch/x86/include/asm/msr-index.h)
+ * as it is not provided by the kernel sources anymore
+ *
+ * Only the minimal blocks of macro have been included
+ * ----
+ * This program is free software; you can redistribute it and/or modify it
+ * under the terms and conditions of the GNU General Public License,
+ * version 2, as published by the Free Software Foundation.
+ *
+ * This program is distributed in the hope it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
+ * more details.
+ *
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc.,
+ * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
+ * ----
+ */
+
+#ifndef _ASM_X86_MSR_INDEX_H
+#define _ASM_X86_MSR_INDEX_H
+
+/*
+ * CPU model specific register (MSR) numbers.
+ *
+ * Do not add new entries to this file unless the definitions are shared
+ * between multiple compilation units.
+ */
+
+/* Intel MSRs. Some also available on other CPUs */
+
+/* C-state Residency Counters */
+#define MSR_PKG_C3_RESIDENCY 0x000003f8
+#define MSR_PKG_C6_RESIDENCY 0x000003f9
+#define MSR_ATOM_PKG_C6_RESIDENCY 0x000003fa
+#define MSR_PKG_C7_RESIDENCY 0x000003fa
+#define MSR_CORE_C3_RESIDENCY 0x000003fc
+#define MSR_CORE_C6_RESIDENCY 0x000003fd
+#define MSR_CORE_C7_RESIDENCY 0x000003fe
+#define MSR_KNL_CORE_C6_RESIDENCY 0x000003ff
+#define MSR_PKG_C2_RESIDENCY 0x0000060d
+#define MSR_PKG_C8_RESIDENCY 0x00000630
+#define MSR_PKG_C9_RESIDENCY 0x00000631
+#define MSR_PKG_C10_RESIDENCY 0x00000632
+
+/* Run Time Average Power Limiting (RAPL) Interface */
+
+#define MSR_RAPL_POWER_UNIT 0x00000606
+
+#define MSR_PKG_POWER_LIMIT 0x00000610
+#define MSR_PKG_ENERGY_STATUS 0x00000611
+#define MSR_PKG_PERF_STATUS 0x00000613
+#define MSR_PKG_POWER_INFO 0x00000614
+
+#define MSR_DRAM_POWER_LIMIT 0x00000618
+#define MSR_DRAM_ENERGY_STATUS 0x00000619
+#define MSR_DRAM_PERF_STATUS 0x0000061b
+#define MSR_DRAM_POWER_INFO 0x0000061c
+
+#define MSR_PP0_POWER_LIMIT 0x00000638
+#define MSR_PP0_ENERGY_STATUS 0x00000639
+#define MSR_PP0_POLICY 0x0000063a
+#define MSR_PP0_PERF_STATUS 0x0000063b
+
+#define MSR_PP1_POWER_LIMIT 0x00000640
+#define MSR_PP1_ENERGY_STATUS 0x00000641
+#define MSR_PP1_POLICY 0x00000642
+
+
+
+/* Intel defined MSRs. */
+#define MSR_IA32_TSC 0x00000010
+#define MSR_SMI_COUNT 0x00000034
+
+#define MSR_IA32_MPERF 0x000000e7
+#define MSR_IA32_APERF 0x000000e8
+
+#define MSR_IA32_THERM_STATUS 0x0000019c
+
+#define MSR_IA32_TEMPERATURE_TARGET 0x000001a2
+
+#define MSR_IA32_PACKAGE_THERM_STATUS 0x000001b1
+
+
+#endif /* _ASM_X86_MSR_INDEX_H */
--- a/src/turbostat.c
+++ b/src/turbostat.c
@@ -41,7 +41,7 @@
#include "plugin.h"
#include "utils_time.h"
-#include <asm/msr-index.h>
+#include "msr-index.h"
#include <cpuid.h>
#ifdef HAVE_SYS_CAPABILITY_H
#include <sys/capability.h>

2
app-admin/filebeat/Manifest

@ -1,2 +1,2 @@
DIST filebeat-5.5.2.tar.gz 18075191 SHA256 39e792324a35fe84ef9a63cd5324252bc71d1c665188e8d597e12ca170cfde7a SHA512 ad92b41a9ceaad6c6e6fc80d0adccd7fe03a7056d121484bcf35c6a46b2061a5ef6d32121dd12d59b51e7678769da5c405b1d549fa130631ae3f1989b78fba48 WHIRLPOOL 46d182bd339abd26f3c4cf3f8d3a716180fc00147458f571eec34aefcaa67d9e88a561988e37c47083528024e4e0559b255c7a17efa43e0e4b21b653a575f7fd
DIST filebeat-5.6.1.tar.gz 18142175 SHA256 3534ef7a3833ae85aef53a12580520b5d85feaa1408289ea37a6ebff5a2fda0a SHA512 842fd28012455ddacffb66db719e1df6fe987c844899d34428d65bca2ec4e1b49a801a976f546b4380da077426250109c5b1c84188a44c14c98f054165b27123 WHIRLPOOL 1d11e08572e51c526cd0443b3fe3ce691dbcd8bc5463a531d89d2685df157f61e28ca645c37f273e7f5b7c69984f5152de310a140567cd757b70a68d0bc578aa
DIST filebeat-5.6.2.tar.gz 18142395 SHA256 72e247d6ec3586883cd58bc6465d18b7eb0857763ff422259205abf090557e45 SHA512 0132be77bfa51aa43b7d0ca9466bd7ab602bddffe163bd63270a3192601c9f9bc9f85f1ad18bf2e90ba5df1f6a4b14be0fc08148c2e75c264e5da7268b9fb92a WHIRLPOOL e25ebf7594fe54c325d72a8f5db09bfb21ed33df42d682cbff6383390f3daebbf57bd15d687bfff6bc740f44ebad9e4d4e5a1329bd18c213aefdea5de7b8d2dd

0
app-admin/filebeat/filebeat-5.6.1.ebuild → app-admin/filebeat/filebeat-5.6.2.ebuild

2
app-admin/glance/glance-15.0.0.ebuild

@ -12,7 +12,7 @@ SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
IUSE="doc mysql postgres +sqlite +swift"
REQUIRED_USE="|| ( mysql postgres sqlite )"

4
app-admin/hardening-check/hardening-check-2.7.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -17,6 +17,8 @@ SLOT="0"
DEPEND=""
RDEPEND=""
RESTRICT="test"
S="${WORKDIR}/${MY_PN}"
src_compile() { :; }

2
app-admin/logrotate/logrotate-3.12.3-r1.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz -> $
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE="acl +cron selinux"
CDEPEND="

2
app-admin/logstash-bin/Manifest

@ -1,2 +1,2 @@
DIST logstash-5.5.3.zip 99551442 SHA256 f81ff55feb21ff4edd4283938ac8362c2906d98f9427d8660dab8465e08f0da9 SHA512 a4328ad0b8192b7c5aaed155d608d9db6adeaefd640e461ef4467daa1a28a2ae25d6b2b1adcf47c5dd82b66fc1adbf8ba5f3eabcf7e69dd8719a5860795877aa WHIRLPOOL d3482df4a7729f6b34973816e39315c69254a641e9811131d7d5e12ede54003a326c5773e799ee471dda01a6113762919ea81ab56ede62d29221f63ed5a7f8c7
DIST logstash-5.6.1.zip 107893345 SHA256 a484176009af9f9a526360a529e2777e18a8928b50a223bb0823bfa45da958c6 SHA512 d2ddc62e14013ed69e2666cb3831bec2cd22f5bcdb147ec431fe1effa64bcb4f8feb2ea77a1c0b43deefeec9a502effe1975a2061c632c57b58b36b5010cb17d WHIRLPOOL f430a452b815e44147bf22b6ed7ab1df01cfe27ec44f2f38007127899cb7408d626f2090efba2ebddd22fd95731ed8df971d3e7793c35b174681ecbb02914ba3
DIST logstash-5.6.2.zip 107836581 SHA256 ae339c18e0f68c3b98faceff6857369ef6488916e191f1598e4b01b1855b8533 SHA512 7c944c121091053be72fea4546142aa79ea2103aef0009752f9ddceaaafdad2ff91ef1d2495d1e7bccb8e3c18c70353f6359adba5bb737aff860f5d500ff198c WHIRLPOOL ff28ed652c108dac01156eed2adc693ad9c166636bf7be805584742d49da7a575562582af9c381fd73785a6ad2c53e4777d0ac1dca8a51dfc30867b569e973dd

40
app-admin/logstash-bin/files/logstash.confd-r1

@ -0,0 +1,40 @@
###############################
# Default settings for logstash
###############################
# Set a home directory
#LS_HOME=/var/lib/logstash
# Set data directory
#LS_DATA_DIR=${LS_HOME}/data
# Arguments to pass to logstash agent
#LS_OPTS=""
# Arguments to pass to java
#LS_HEAP_SIZE="500m"
#LS_JAVA_OPTS="-Djava.io.tmpdir=$HOME"
# user id to be invoked as
#LS_USER=logstash
#LS_GROUP=logstash
# logstash logging
#LS_LOG_DIR=/var/log/logstash
#LS_USE_GC_LOGGING="true"
# logstash settings directory
#LS_SETTINGS_DIR=/etc/logstash
# logstash configuration directory
#LS_CONF_DIR=/etc/logstash/conf.d
# Open file limit
#LS_OPEN_FILES=16384
# Nice level
#LS_NICE=19
# If this is set to 1, then when `stop` is called, if the process has
# not exited within a reasonable time, SIGKILL will be sent next.
KILL_ON_STOP_TIMEOUT=0

75
app-admin/logstash-bin/files/logstash.initd-r1

@ -0,0 +1,75 @@
#!/sbin/openrc-run
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
LS_USER=${LS_USER:-logstash}
LS_GROUP=${LS_GROUP:-$LS_USER}
LS_LOG_DIR=${LS_LOG_DIR:-/var/log/logstash}
LS_SETTINGS_DIR=${LS_SETTINGS_DIR:-/etc/logstash}
LS_CONF_DIR=${LS_CONF_DIR:-/etc/logstash/conf.d}
LS_HOME=${LS_HOME:-/var/lib/logstash}
LS_DATA_DIR=${LS_DATA_DIR:-$LS_HOME/data}
LS_HEAP_SIZE=${LS_HEAP_SIZE:-500m}
LS_NICE=${LS_NICE:-19}
LS_JAVA_OPTS=${LS_JAVA_OPTS:-"-Djava.io.tmpdir=${LS_HOME}"}
LS_USE_GC_LOGGING=${LS_USE_GC_LOGGING:-false}
LS_OPEN_FILES=${LS_OPEN_FILES:-16384}
KILL_ON_STOP_TIMEOUT=${KILL_ON_STOP_TIMEOUT:-0}
LS_INSTALL_DIR="/opt/logstash"
command="${LS_INSTALL_DIR}/bin/logstash"
command_args="--path.config ${LS_CONF_DIR} --path.data ${LS_DATA_DIR} --path.logs ${LS_LOG_DIR} --path.settings ${LS_SETTINGS_DIR} ${LS_OPTS}"
command_background="true"
pidfile="/run/${RC_SVCNAME}.pid"
start_stop_daemon_args="--user ${LS_USER}:${LS_GROUP} \
--chdir ${LS_HOME}
--nicelevel ${LS_NICE}
--env LS_HEAP_SIZE=${LS_HEAP_SIZE}
--env LS_JAVA_OPTS=${LS_JAVA_OPTS}
--env LS_USE_GC_LOGGING=${LS_USE_GC_LOGGING}"
extra_commands="checkconfig"
extra_started_commands="reload"
checkconfig() {
if [ ! -f ${LS_CONF_DIR}/* ]; then
eerror "Please put your configuration in ${LS_CONF_DIR}"
exit 1
fi
ebegin "Checking your configuration"
${command} ${command_args} --path.logs "${LS_LOG_DIR}/configcheck" --config.test_and_exit
eend $? "Configuration error. Please fix your configuration files."
}
reload() {
checkconfig || return 1
ebegin "Reloading configuration"
start-stop-daemon --signal HUP --pidfile "${pidfile}"
eend $?
}
start_pre() {
checkconfig || return 1
rc_ulimit="-n ${LS_OPEN_FILES}"
local d
for d in "${LS_HOME}" "${LS_DATA_DIR}" "${LS_DATA_DIR}/queue" "${LS_DATA_DIR}/dead_letter_queue" "${LS_LOG_DIR}"; do
checkpath -d -o "${LS_USER}":"${LS_GROUP}" -m750 "$d"
done
}
stop() {
ebegin "Stopping logstash"
if [ "${KILL_ON_STOP_TIMEOUT}" = "1" ]; then
start-stop-daemon --stop \
--pidfile=${pidfile} \
--retry=TERM/5/KILL/5
else
start-stop-daemon --stop \
--pidfile=${pidfile}
fi
}

12
app-admin/logstash-bin/logstash-bin-5.6.1.ebuild → app-admin/logstash-bin/logstash-bin-5.6.2.ebuild

@ -37,15 +37,17 @@ src_install() {
insinto "/usr/share/${MY_PN}"
newins "${FILESDIR}/agent.conf.sample" agent.conf
rm -v config/startup.options
insinto /etc/${MY_PN}
doins config/*
rm -rv config data || die
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
insinto /etc/logrotate.d
newins "${FILESDIR}/${MY_PN}.logrotate" "${MY_PN}"
newconfd "${FILESDIR}/${MY_PN}.confd" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd" "${MY_PN}"
newconfd "${FILESDIR}/${MY_PN}.confd-r1" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd-r1" "${MY_PN}"
insinto /usr/share/eselect/modules
doins "${FILESDIR}"/logstash-plugin.eselect

1
app-admin/puppetserver/Manifest

@ -1,3 +1,2 @@
DIST puppetserver-2.7.1.tar.gz 33989388 SHA256 9e2ad86fedb719e824d42055383dbbbb4f66c621e21c4c285e70b5c1dbc158c0 SHA512 91fd1ee7bf9726e3d2fca9a81227756076b1945b3ad6fd63bf5be85957cdda81601cd707af2533c53fe182fe6945ec48c75b0f7cfef5a64e81643adf633df778 WHIRLPOOL 3661d09f04e85db94320acf6afc842557bde66d969a7e3164edcc9f74e4f1f8a5849b7a766fcf98339d47652d6ae4cda1d766e5a09e5a54d062b27306863aa1d
DIST puppetserver-2.8.0.tar.gz 34015599 SHA256 0f6f49b149639b80c3caecaeced44c7c0cb98728da7ce12f6725b061f3152812 SHA512 7023278fe501614f1ff9650f72b9193054cb79888ce03f29932a10fa826ee07d67e96eee80a3f2c19007b8bae14008846ea850fb98544bcd39e1ada11fadd22c WHIRLPOOL 6319b7aaefd45b5c49189e15eb06575841c8ca24f3032739515f48f35efcc0ea4d3490f84b2325ff864b57e1a789263596d7f6095a4b35171d3b17a77b07ae68
DIST puppetserver-5.0.0.tar.gz 66380485 SHA256 b1b62c31d31a69cf1912d6b785f53cbff219a98e0e7300b7f50114694b06ccbf SHA512 1dd7b332871abf12981a7ef33ee92a813275c86ca0cd72a24c3853679c3e93aaf264b76bf4108bf62c04021889e0b7ee0bb46963bd1f3df1f8e67c48e41698e8 WHIRLPOOL 89d15509f3afc96ccdae5370346c101dc48daa68dddbfc98b51151d0e706945858b4485d7358710223c43760f317b5aa6a27b247db3fa02d80077694b0ee4a9c

113
app-admin/puppetserver/puppetserver-2.7.1.ebuild

@ -1,113 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit multilib systemd user
DESCRIPTION="Puppet Server is the next-generation application for managing Puppet agents."
HOMEPAGE="http://docs.puppetlabs.com/puppetserver/"
SRC_URI="https://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords as puppet
KEYWORDS="amd64 x86"
RDEPEND+="
>=virtual/jdk-1.7.0
app-admin/puppet-agent[puppetdb?]"
DEPEND+=""
pkg_setup() {
enewgroup puppet
enewuser puppet -1 -1 /opt/puppetlabs/server/data/puppetserver "puppet"
}
src_prepare() {
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' ext/redhat/puppetserver.service || die
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' ext/bin/puppetserver || die
sed -i 's/sysconfig\/puppetserver/systemd\/system\/puppetserver\.service\.d\/gentoo\.conf/g' install.sh || die
sed -i 's/var\/run/run/g' ext/config/conf.d/puppetserver.conf || die
sed -i 's/var\/run/run/g' ext/redhat/puppetserver.service || die
sed -i 's/var\/run/run/g' install.sh || die
default
}
src_compile() {
einfo "not compiling"
}
src_install() {
insinto /opt/puppetlabs/server/apps/puppetserver
insopts -m0774
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppet-server-release.jar
insinto /etc/puppetlabs/puppetserver
doins ext/config/logback.xml
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetserver/services.d
doins ext/system-config/services.d/bootstrap.cfg
doins ext/config/services.d/ca.cfg
insinto /etc/puppetlabs/puppetserver/conf.d
doins ext/config/conf.d/puppetserver.conf
doins ext/config/conf.d/auth.conf
doins ext/config/conf.d/global.conf
doins ext/config/conf.d/web-routes.conf
doins ext/config/conf.d/webserver.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetserver/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetserver/cli/apps
doins ext/cli/irb
doins ext/cli/foreground
doins ext/cli/gem
doins ext/cli/ruby
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetserver/bin
doins ext/bin/puppetserver
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetserver/bin/puppetserver /opt/puppetlabs/server/bin/puppetserver
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetserver/bin/puppetserver /opt/puppetlabs/bin/puppetserver
dosym ../../opt/puppetlabs/server/apps/puppetserver/bin/puppetserver /usr/bin/puppetserver
dodir /opt/puppetlabs/server/apps/puppetserver/config/services.d
# other sys stuff
dodir /etc/puppetlabs/code
# needed for systemd
dodir /var/log/puppetlabs/puppetserver
dodir /etc/puppetlabs/puppet/ssl
fowners -R puppet:puppet /etc/puppetlabs/puppet/ssl
fperms -R 771 /etc/puppetlabs/puppet/ssl
# init type tasks
newconfd ext/default puppetserver
newinitd "${FILESDIR}/puppetserver.initd" puppetserver
# systemd type things
insinto /etc/systemd/system/puppetserver.service.d/
newins ext/default gentoo.conf
systemd_dounit ext/redhat/puppetserver.service
# misc
insinto /etc/logrotate.d
newins ext/puppetserver.logrotate.conf puppetserver
# cleanup
dodir /opt/puppetlabs/server/data/puppetserver/jruby-gems
fowners -R puppet:puppet /opt/puppetlabs/server/data
fperms -R 775 /opt/puppetlabs/server/data/puppetserver
fperms -R 700 /var/log/puppetlabs/puppetserver
}
pkg_postinst() {
elog "to install you may want to run the following:"
elog
elog "puppet config set --section master vardir /opt/puppetlabs/server/data/puppetserver"
elog "puppet config set --section master logdir /var/log/puppetlabs/puppetserver"
elog "puppet config set --section master rundir /run/puppetlabs/puppetserver"
elog "puppet config set --section master pidfile /run/puppetlabs/puppetserver/puppetserver.pid"
elog "puppet config set --section master codedir /etc/puppetlabs/code"
}

2
app-admin/puppetserver/puppetserver-2.8.0.ebuild

@ -13,7 +13,7 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords as puppet
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
RDEPEND+="
>=virtual/jdk-1.7.0

1
app-admin/systemrescuecd-x86/Manifest

@ -27,3 +27,4 @@ DIST systemrescuecd-x86-5.0.2.iso 495773696 SHA256 a2abdaf5750b09886cedcc5233d91
DIST systemrescuecd-x86-5.0.3.iso 501446656 SHA256 e892d3e0aeabec2c435484f0a6913d56b5cc4505e61032bd86f39443e3ab162e SHA512 a6748224f3f8cac5f9751648278bbc06acfc123c64b7c0a3b6e47f00b0a3c255082e9ffc43fd0fd3df26322cf154797ea6a02c6b37087ae832219ec4f3bec673 WHIRLPOOL 3f197342689fa764bf66b269f3afd1213774cba16b04b3bcb45d408f2e650e503499303120bb233f3b15c4e254953f703c2b042ae1cfcbe0f1119330562952c0
DIST systemrescuecd-x86-5.0.4.iso 501141504 SHA256 3b38c15ec8e2f60348181423b0f445856c8b290aac96e92210f316652d621507 SHA512 26b624c75f75e181051b164b0a1f24b612d9ac11c2ed8df3e40fd13e48bfa58022be814e4ac608f3fde892eaa99954f10c0e1fb1ef4831a501dc4e1c0c87b764 WHIRLPOOL 8a372a13edf76d31d44dfe1167216d2b89b3b75ac7437397341bb7e721b31336cbcedda05f087a0d061ca25b5cb95acd252fa042ce6639852c8795568a4ca128
DIST systemrescuecd-x86-5.1.0.iso 505047040 SHA256 49466daab472d29fbbd38ac7d4d36363ecd73e27f7872dde1d67e62e190920d0 SHA512 15d019bbb91019f1b6d1847fc786e6c02f3f768826241e0823842bca9745ff1fa48fe7d32828f899b90845b2f4ce948a1f98e093edf8ca4c0c39cc0da72b4aa8 WHIRLPOOL 5bc909b4c2eea8ffb58f574b120ba07f53361cb4ff2782f214947f5dbccb0f33bc4168ea8a832ba65ebb56a6ea9fb08437af060ec793c6f07c33236bef0f825f
DIST systemrescuecd-x86-5.1.1.iso 517359616 SHA256 5ab22119f2ca2e53d28880367e53b887df5cd82599b38d3175870d023455117a SHA512 a4063305da50ea8b73fb7157f46bf386b80d3ef777adabdcdd944814c801d078fe63778f166b80788b0851549b35bf6ada5940ca5a40a6c1a3e0f4c66efbea91 WHIRLPOOL e49d64915f487c31efc3ecd590965b4fe94b1a65b7c0261f1ccb4d2b0dc4336885398f2d021a670ec0041a3e3ba1d6c1cc524b1db95d1d7e3c6371f3806ca78d

61
app-admin/systemrescuecd-x86/systemrescuecd-x86-5.1.1.ebuild

@ -0,0 +1,61 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="The .iso image of SystemRescueCD rescue disk, x86 (+ amd64) variant"
HOMEPAGE="http://www.sysresccd.org/"
# Large ISO mirroring explicitly approved by infra in bug #588766
SRC_URI="mirror://sourceforge/systemrescuecd/sysresccd-${PN#*-}/${PV}/${P}.iso"
LICENSE="GPL-2"
SLOT="${PV}"
KEYWORDS="~amd64 ~x86"
IUSE="+isohybrid"
DEPEND="isohybrid? ( >=sys-boot/syslinux-4 )"
S=${WORKDIR}
src_install() {
insinto "/usr/share/${PN%-*}"
doins "${DISTDIR}/${P}.iso"
if use isohybrid; then
set -- isohybrid -u "${ED}usr/share/${PN%-*}/${P}.iso"
echo "${@}"
"${@}" || die "${*} failed"
fi
}
pkg_postinst() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# no version newer than ours? we're the newest!
if ! has_version ">${CATEGORY}/${PF}"; then
ln -f -s -v "${P}.iso" "${f}" || die
fi
}
pkg_postrm() {
local f=${EROOT%/}/usr/share/${PN%-*}/${PN}-newest.iso
# if there is no version newer than ours installed
if ! has_version ">${CATEGORY}/${PF}"; then
# and we are truly and completely uninstalled...
if [[ ! ${REPLACED_BY_VERSION} ]]; then
# then find an older version to set the symlink to
local newest_version=$(best_version "<${CATEGORY}/${PF}")
if [[ ${newest_version} ]]; then
# update the symlink
ln -f -s -v "${newest_version%-r*}.iso" "${f}" || die
else
# last version removed? clean up the symlink
rm -v "${f}" || die
# and the parent directory
rmdir "${f%/*}" || die
fi
fi
fi
}

2
app-arch/gnome-autoar/gnome-autoar-0.2.2.ebuild

@ -14,7 +14,7 @@ SLOT="0"
IUSE="gtk +introspection vala"
REQUIRED_USE="vala? ( introspection )"
KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc64 x86"
KEYWORDS="~alpha amd64 ~arm64 ~ia64 ~ppc ~ppc64 x86"
RDEPEND="
>=app-arch/libarchive-3.2.0

2
app-crypt/heimdal/heimdal-7.4.0.ebuild

@ -14,7 +14,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd"
IUSE="afs +berkdb caps hdb-ldap ipv6 otp +pkinit selinux ssl static-libs test X"
CDEPEND="ssl? ( >=dev-libs/openssl-1.0.1h-r2[${MULTILIB_USEDEP}] )

1
app-editors/qxmledit/Manifest

@ -1 +1,2 @@
DIST qxmledit-0.9.7-1-src.tgz 20151952 SHA256 bcb694f01db5e4f4bedec81f823d498c6270f78da6a0c5963c52956f6c81c443 SHA512 c2304c0d46925f36ae2e411bae805406df60339bbce1f030ebbbe42b203133770ff011cb9751e79ac6807f21425e73f3f66f7081a5b14d6701522c2aa1e9a9df WHIRLPOOL 6f037cc63ec40446bee41e9eab8646f2c349bc3525d01c5e5cce417932b3020e1b79da71f356f64bac963bfb063a34ea0a3b44b8f17d051b8b4509a09172be3f
DIST qxmledit-0.9.8-src.tgz 22814833 SHA256 a24cf4439ab4676cd375669b3b2c9e47ac7e859835a803013ea35b15942ef210 SHA512 41caf161de1efd3c210104f362b1ef50ecfbec0c50d4efc98aae03f40ee0c8f51f0b8c322b3017b797f19c7ed668b456a850dea0b4adf7106557eeb9ea58a78e WHIRLPOOL 12e8a30e4072c530c52a316ed834d9f32389b38a561f8c60aa2ec5e5b79fbef29cbadae21a850fc801e35ccb0e45514d5e4c3ef5bcb77321d23b564061f27b1c

77
app-editors/qxmledit/qxmledit-0.9.8.ebuild

@ -0,0 +1,77 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils qmake-utils xdg-utils
DESCRIPTION="Simple Qt-based XML editor"
HOMEPAGE="http://qxmledit.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}-src.tgz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
dev-qt/qtconcurrent:5
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtopengl:5
dev-qt/qtprintsupport:5
dev-qt/qtscxml:5
dev-qt/qtsql:5
dev-qt/qtsvg:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
dev-qt/qtxmlpatterns:5
media-libs/glu
virtual/opengl
"
RDEPEND="${DEPEND}"
DOCS=( AUTHORS NEWS README )
src_prepare() {
default
# bug 568746
sed -i -e '/QMAKE_CXXFLAGS/s:-Werror::' \
src/{QXmlEdit,QXmlEditWidget,sessions/QXmlEditSessions}.pro || die
# bug 629624
sed -i -e 's/LIBS += -lGL -lGLU -lglut/LIBS += -lGL -lGLU/' \
src/QXmlEdit.pro || die
}
src_configure() {
export \
QXMLEDIT_INST_DIR="${EPREFIX}/usr/bin" \
QXMLEDIT_INST_LIB_DIR="${EPREFIX}/usr/$(get_libdir)" \
QXMLEDIT_INST_INCLUDE_DIR="${EPREFIX}/usr/include/${PN}" \
QXMLEDIT_INST_DATA_DIR="${EPREFIX}/usr/share/${PN}" \
QXMLEDIT_INST_DOC_DIR="${EPREFIX}/usr/share/doc/${PF}"
# avoid internal compiler errors
use x86 && export QXMLEDIT_INST_AVOID_PRECOMP_HEADERS=Y
eqmake5
}
src_install() {
emake INSTALL_ROOT="${D}" install
doicon install_scripts/environment/icon/qxmledit.png
domenu install_scripts/environment/desktop/QXmlEdit.desktop
einstalldocs
}
pkg_postinst() {
xdg_desktop_database_update
}
pkg_postrm() {
xdg_desktop_database_update
}

2
app-editors/tea/Manifest

@ -1,3 +1 @@
DIST tea-43.1.0.tar.bz2 398524 SHA256 36fa3e28391d06f75f67926f5259999829c40c069fb76331a19f3528b463573a SHA512 1b647e1df81ebbcdf73e2335df34a73aca49c80b90b5bbabc05f52277f142e52e35922f788fbff12627f68aafd9ab18601e4cda964628a16025545240cf6e3de WHIRLPOOL 2f01a342d352e419ef7db264d654918494a769f2dfa76561274a3e1911ec194c68f3f8a40bb997b856781fd0b51b542c2db7b6ee10f2ec6f92c4be10d4042bda
DIST tea-44.0.0.tar.bz2 420495 SHA256 c7a7a6777a816bfce006852040abfc9fe72669301eaa637b7cde8c00ad05fe85 SHA512 cc97270eb92ecec7bd1690e337ae5d9749fd24d7e185d083318bf4bb7c79efe5a15c9e2a85111e498e83716fd58e76c7285c697ba4ebbca96e72770d1cadfc48 WHIRLPOOL 4550279244696e56f4f92f631ea41ddcb40986b3239de914ab89d721a6384081bdfcde91231cbd99736d040bb2eb8f240c89b8e915604e7bd795787891ccefa9
DIST tea-44.1.0.tar.bz2 402335 SHA256 28b665a4ab30defa6699f8625a771612c6e0ae3160abf19e0e3d0a3778599890 SHA512 a430ed6d23d828b12235f61ad3d37f36c28754dcde8ac6d382a251f4b21cc253d70adab96814ee2d31fd6e92d4b5fbc941386b6d485716020800b5fa5e71b194 WHIRLPOOL 363e729d3b3046dc064269f5c245fa751b003fc56b0241fdbe16de891c209be51e7d89a64b3d2527b5f47777c95aafd46c953c0581f2d6d6f6006ede4b5aabb3

56
app-editors/tea/tea-43.1.0.ebuild

@ -1,56 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils qmake-utils
DESCRIPTION="Small, lightweight Qt text editor"
HOMEPAGE="http://tea.ourproject.org/"
SRC_URI="http://tea.ourproject.org/dloads/${P}.tar.bz2"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 x86 ~x86-fbsd"
IUSE="aspell djvu hunspell pdf"
RDEPEND="
dev-qt/qtcore:5
dev-qt/qtdeclarative:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtwidgets:5
sys-libs/zlib
aspell? ( app-text/aspell )
djvu? ( app-text/djvu )
hunspell? ( app-text/hunspell:= )
pdf? ( app-text/poppler[qt5] )
"
DEPEND="${RDEPEND}
hunspell? ( virtual/pkgconfig )
"
DOCS=( AUTHORS ChangeLog NEWS NEWS-RU TODO )
src_configure() {
eqmake5 src.pro \
$(use aspell || echo CONFIG+=noaspell) \
$(use djvu && echo CONFIG+=usedjvu) \
$(use hunspell || echo CONFIG+=nohunspell) \
$(use pdf && echo CONFIG+=usepoppler)
}
src_install() {
dobin bin/tea
einstalldocs
docinto html
dodoc manuals/*.html
insinto /usr/share/qt5/translations
doins translations/${PN}_*.qm
newicon icons/tea-icon-v3-01.png ${PN}.png
make_desktop_entry ${PN} 'Tea Editor'
}

56
app-editors/tea/tea-44.0.0.ebuild

@ -1,56 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit eutils qmake-utils
DESCRIPTION="Small, lightweight Qt text editor"
HOMEPAGE="https://tea.ourproject.org/"
SRC_URI="https://tea.ourproject.org/dloads/${P}.tar.bz2"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
IUSE="aspell djvu hunspell pdf"
RDEPEND="
dev-qt/qtcore:5
dev-qt/qtdeclarative:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtwidgets:5
sys-libs/zlib
aspell? ( app-text/aspell )
djvu? ( app-text/djvu )
hunspell? ( app-text/hunspell:= )
pdf? ( app-text/poppler[qt5] )
"
DEPEND="${RDEPEND}
hunspell? ( virtual/pkgconfig )
"
DOCS=( AUTHORS ChangeLog NEWS NEWS-RU TODO )
src_configure() {
eqmake5 src.pro \
$(use aspell || echo CONFIG+=noaspell) \
$(use djvu && echo CONFIG+=usedjvu) \
$(use hunspell || echo CONFIG+=nohunspell) \
$(use pdf && echo CONFIG+=usepoppler)
}
src_install() {
dobin bin/tea
einstalldocs
docinto html
dodoc manuals/*.html
insinto /usr/share/qt5/translations
doins translations/${PN}_*.qm
newicon icons/tea-icon-v3-01.png ${PN}.png
make_desktop_entry ${PN} 'Tea Editor'
}

2
app-editors/tea/tea-44.1.0.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://tea.ourproject.org/dloads/${P}.tar.bz2"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-fbsd"
KEYWORDS="amd64 x86 ~x86-fbsd"
IUSE="aspell djvu hunspell pdf"
RDEPEND="

44
app-emacs/pymacs/pymacs-0.25-r1.ebuild

@ -1,44 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4} )
inherit elisp distutils-r1 vcs-snapshot
DESCRIPTION="A tool that allows both-side communication beetween Python and Emacs Lisp"
HOMEPAGE="http://www.emacswiki.org/emacs/PyMacs"
SRC_URI="https://github.com/pinard/Pymacs/tarball/v${PV} -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE="doc"
DEPEND="doc? ( >=dev-python/docutils-0.7
virtual/latex-base )"
RDEPEND=""
DISTUTILS_IN_SOURCE_BUILD=1
SITEFILE="50${PN}-gentoo.el"
# called by distutils-r1 for every python implementation
python_configure() {
# pre-process the files but don't run distutils
emake PYSETUP=: PYTHON=${EPYTHON}
}
# called once
python_compile_all() {
elisp_src_compile
if use doc; then
VARTEXFONTS="${T}"/fonts emake RST2LATEX=rst2latex.py pymacs.pdf
fi
}
python_install_all() {
elisp_src_install
distutils-r1_python_install_all
dodoc pymacs.rst
use doc && dodoc pymacs.pdf
}

1
app-emulation/q4wine/Manifest

@ -1,2 +1 @@
DIST q4wine-1.3.4.tar.bz2 3013860 SHA256 9862c9353964ed51802342896f6fd0ca3c1d759cc1b7161c8447d447e9b6b4bd SHA512 e5fa50ebf0c098a02d3ee9dfdd5b8ef16eef57f47bef9f43a9849ce7df2f8d66da3404e688b738ff8ccd01be63217d6352aaba803de2383b7e1b0ea1c3c6d565 WHIRLPOOL 5fa4b83da73dcee27e278b849573b1ea16d96cd5b8cb77c247ba70548fe0d78cae72d6adf55fb87c38b31c7d54e574fb6f9c5d00ff82bf759c33134bb4597938
DIST q4wine-1.3.5.tar.bz2 2862445 SHA256 aa48b0ea8ff504e341b3352194380aa256f6ac8a6a301e1bbf30196eec8d310c SHA512 54fb7bce28750cb71589f6a94658f61369c7777cf7865b71d2feea4ac1221714d861a781fbd1325ee3d21f124162fd2eedc2780ab2bd0af93864eefebcde5f4c WHIRLPOOL b52408ade21dab7203b3d8032e196a2e63f5a806f08fcd8fa6a1d839b4f457475b94d0962e29dbd0ac0a5a9bcaf9bd64786b2268af9b6fc446d1328baee3c1fe

71
app-emulation/q4wine/q4wine-1.3.4.ebuild

@ -1,71 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils fdo-mime gnome2-utils
# Upstream names the package PV-rX. We change that to
# PV_pX so we can use portage revisions.
MY_P=${PN}-${PV/_p/-r}
DESCRIPTION="Qt GUI configuration tool for Wine"
HOMEPAGE="http://q4wine.brezblock.org.ua/"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="+dbus debug +ico +iso +wineappdb"
CDEPEND="
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtsingleapplication[qt5,X]
dev-qt/qtsql:5[sqlite]
dev-qt/qtwidgets:5
dev-qt/qtxml:5
dbus? ( dev-qt/qtdbus:5 )
"
DEPEND="${CDEPEND}
dev-qt/linguist-tools:5
"
RDEPEND="${CDEPEND}
app-admin/sudo
>=sys-apps/which-2.19
ico? ( >=media-gfx/icoutils-0.26.0 )
iso? ( sys-fs/fuseiso )
"
S=${WORKDIR}/${MY_P}
DOCS=( AUTHORS ChangeLog README )
src_configure() {
local mycmakeargs=(
-DQT5=ON
-DDEBUG=$(usex debug ON OFF)
-DWITH_ICOUTILS=$(usex ico ON OFF)
-DWITH_SYSTEM_SINGLEAPP=ON
-DWITH_WINEAPPDB=$(usex wineappdb ON OFF)
-DUSE_BZIP2=OFF
-DUSE_GZIP=OFF
-DWITH_DBUS=$(usex dbus ON OFF)
)
cmake-utils_src_configure
}
pkg_preinst() {
gnome2_icon_savelist
}
pkg_postinst() {
fdo-mime_desktop_database_update
gnome2_icon_cache_update
}
pkg_postrm() {
fdo-mime_desktop_database_update
gnome2_icon_cache_update
}

2
app-emulation/q4wine/q4wine-1.3.5.ebuild

@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="+dbus debug +ico +iso +wineappdb"
CDEPEND="

2
app-emulation/wine-any/Manifest

@ -1,3 +1,4 @@
DIST gentoo-wine-patches-20170830.tar.xz 58456 SHA256 fb7781d0ae360cbc3860c2d2e81527a1b903da824c01f5d5040e95aaf99a3970 SHA512 5e5159e3252b246bba0ef7fdba345db3ab1071c5b8b8b625f98eda18779d4024c5b76bdbf49ce7bd5c6b01b422807adf76820beddb2b4a6ee9e67d13052cc575 WHIRLPOOL a79be264bab3fcdeee06fef47efd28e6e1125254ac7f82300cb6ba2591ef69cd76b5fed8f778b1849a0659e680e9fc785f0273d55cb2ed95648a74dffa5e22d2
DIST wine-2.0.tar.bz2 23662707 SHA256 9756f5a2129b6a83ba701e546173cbff86caa671b0af73eb8f72c03b20c066c6 SHA512 b0a57ba8202d9fc396e5bfb7a7718d6bababbed8f3351e7fdc36afa37f35a871e04903757618f73427aeb71a52b2d323977d79e48f8b38d636f23fd404441186 WHIRLPOOL fa9f774d87dae73c7d1f3b86dc3b03ea27065eb6140f1cac13c82fe16f7ebff8f8365ed447220cf5c2788b9f4aae7c482e4f9e2e69f47e5435209e148f5dbdfe
DIST wine-2.1.tar.xz 18887032 SHA256 bfb9abf63691c93df28d9599aaa866dc2b4e27209b3b7b546df8a37d7d9d1e6e SHA512 03d678ee6e89c2804813f2827255fcf59e96ca9a45b7d8ac441cfc84f835e5e5689c70a79a41a04c631e1add7807fa4a5758acef3bd7aadfb2e92e68958c6ef6 WHIRLPOOL 063d935f1ff0922100641f2f53cdac23d2993a83182d45e028e485fd7d0a13bc5cfb77bca76550b1537b3f42fecacef7fd64785adbf6425af823f56f96973b54
DIST wine-2.10.tar.xz 19209580 SHA256 488df7ffd2e81da455bf428fc9eb784bb4273a890334500895665711bd52f179 SHA512 8807e16a571bf45d99097ad5fdfb9fe755f6dbe84010a330fed82f1d48c76b7f19589bfc0e5dde0b9e49a608fd0501db3f7e3e129e4d9d34bcae03bc51a73139 WHIRLPOOL e9a8248aac31593fbac28a3d8d4e62bfce14a7c41cc416ebfca8606518d28efd31b32196133da211f75f48bd228bd5d21fcbbc0479293e813ed99b258b37126e
@ -34,7 +35,6 @@ DIST wine-d3d9-2.6.tar.gz 48702 SHA256 06ed18f2d5fff04613ea1401c37ad70e163135c15
DIST wine-d3d9-2.7.tar.gz 48708 SHA256 df6ed1e50d8af0624b8f4f658705f75102094f6e17fec53ec8461991ce5dca2a SHA512 d258e81a942f905255a637aa80dd647878691caa79adc52fd79f66ce1320d42d7d36ea776876d6a26a2c711a168da4c64f27fa8744ca6d8318c5526f8a8af75a WHIRLPOOL 2d62cab5e3b14eaf29ecc96ac97555f48845a78c751040a850750d3b19fbc64efb3f3589dd3475a03cb1e3dff3e200528dabd2952b1ee8d0520a5db0d7db154b
DIST wine-d3d9-2.8.tar.gz 48700 SHA256 c67de9fee6e97859896aa2326fbc245e8b0f7393a1c6341126607b03afebc964 SHA512 bb933b51d0022ce616331f2550faedeff3058007525b4519833b925c57999ab08b08380b8967d48ad7c56458e812342428388a5eac2ed8fcdd8cfbfee74a8e8c WHIRLPOOL 52c8538e3f4b3be3412ee544efebae69c3de781255e12298d544f47523aba3afaadbffa8dedc463c207b0ae8a0a92599beca17017f266648b9b229847990ae2e
DIST wine-d3d9-2.9.tar.gz 48693 SHA256 32b847adf74c293e858800248aa1b164688f98cde89ca4d2cd0808fae7f94340 SHA512 89d06587481f7702b6884c83627a27c7b38a078e2b333bea2612a58840695211c19ab4ca02669c983580f95ae42ef114020f6b6bbb1a17d72449c0ed2212dc49 WHIRLPOOL e32b261f6e87580eec2c2ee57848b08b2487d1f280b8b257403e0722ec1b44cb31dcb240d89757599be2c3c6d958c48f92510bc625e5c05fc08116d13c303168
DIST wine-desktop-common-20150204.tar.gz 99491 SHA256 444ad6b52b5290ec7d160e2cc40e4ba0910b4c4983dba1ceb054b81b09b24b5e SHA512 1f3d7022c5cff87ed3b8fd3b7cd14397c6f23b98fe6a7c583ac0d2f439ff29d943f57375f23687aa6519ff1d84ff07624a9a712d6f19fa207fd26d01edcb6688 WHIRLPOOL e9810b2952d25c05d831000e00e423de86809ec31b9a033fd4c64a70709da7338a9afc9e632e678f49c789a8a3702fbd0113226770cdb806623f2de371a16f54
DIST wine-staging-2.0.tar.gz 10182575 SHA256 22a43cb50c1fff9c6f233a965247056e3321533aa73a6419aa34a22de7180039 SHA512 51412299259d6e92c8993543d5fdb3239ebe31e0d1d715e0a9e8ce94b3139c0567b08ff1600d41be94f12427cbfccc2f6b6b2ed030535445c95618aaf6578580 WHIRLPOOL 9879174bc3a7c8ece156c822b7a7b870908e51335702a78e6f04ea1496125a2018a879bfc53d1302e4825138d22af526308ba7f656d683a535be44d4515f1bac
DIST wine-staging-2.1.tar.gz 10101781 SHA256 1d193be2734ea495df2cae1dc54ce89204ca68699979174b0bd726d2e5e0576b SHA512 c64c48b265f0779c621a643ddbd2d12aaa548e4bff3b2b728280cdb9613214989911ee8ba5e46c7770f5f6430014a5da1c98e95d5008c1174bd14bf9ce5250db WHIRLPOOL ecf970ef436089bbcd0088e1608b22e808d54560e905c7d8046b3e21508166a595c3ef7b69819c45e4b13183bd9134a2bd7016d29c4da52985701d392eb35a0a
DIST wine-staging-2.10.tar.gz 10091114 SHA256 b361ec92b2e40de983b987f6564dbb75dcb121c6e2f0123fe1ae234fd81a591b SHA512 c3bf7027ddfd1405263cce844a7cbeb923e9de56cffdb296384449c0cc600b3c9a37c7fe09b62fb9ae0b47f97a2d4f208cc589f0e4205fa84ce5d112953ac2e7 WHIRLPOOL 01c5436179bcbd29ee0468f2f4d839ba805c064d80835fcd1d5e6eba562881c65ac576657a733c726ccf4b37473da6724ae06ebc023fb988d8810ed1f8096c6b

9
app-emulation/wine-any/files/builtin_ms_va_list.c

@ -1,9 +0,0 @@
/* Taken from Wine's configure script. LGPL 2.1+ */
#include <stdarg.h>
int main(void)
{
void func(__builtin_ms_va_list *args);
return 0;
}

36
app-emulation/wine-any/files/pr66838.c

@ -1,36 +0,0 @@
/* From gcc svn, /branches/gcc-5-branch/gcc/testsuite/gcc.target/i386/pr66838.c */
/* Copyrighted and distributed under the same terms as gcc */
void abort (void);
char global;
__attribute__((sysv_abi, noinline, noclone))
void sysv_abi_func(char const *desc, void *local)
{
register int esi asm ("esi");
register int edi asm ("edi");
if (local != &global)
abort ();
/* Clobber some of the extra SYSV ABI registers. */
asm volatile ("movl\t%2, %0\n\tmovl\t%2, %1"
: "=r" (esi), "=r" (edi)
: "i" (0xdeadbeef));
}
__attribute__((ms_abi, noinline, noclone))
void ms_abi_func ()
{
sysv_abi_func ("1st call", &global);
sysv_abi_func ("2nd call", &global);
sysv_abi_func ("3rd call", &global);
}
int
main(void)
{
ms_abi_func();
return 0;
}

37
app-emulation/wine-any/files/pr69140.c

@ -1,37 +0,0 @@
/* { dg-do compile { target lp64 } } */
/* { dg-options "-O2 -mincoming-stack-boundary=3" } */
typedef struct {
unsigned int buf[4];
unsigned char in[64];
} MD4_CTX;
static void
MD4Transform (unsigned int buf[4], const unsigned int in[16])
{
unsigned int a, b, c, d;
(b) += ((((c)) & ((d))) | ((~(c)) & ((a)))) + (in[7]);
(a) += ((((b)) & ((c))) | ((~(b)) & ((d)))) + (in[8]);
(d) += ((((a)) & ((b))) | ((~(a)) & ((c)))) + (in[9]);
buf[3] += d;
}
void __attribute__((ms_abi))
MD4Update (MD4_CTX *ctx, const unsigned char *buf)
{
MD4Transform( ctx->buf, (unsigned int *)ctx->in);
MD4Transform( ctx->buf, (unsigned int *)ctx->in);
}
int
main(void)
{
MD4_CTX ctx_test =
{
{ 0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476 },
{ 0, 0 }
};
unsigned char buf[64];
MD4Update(&ctx_test, (const unsigned char *) &buf);
}

59
app-emulation/wine-any/files/wine-1.5.26-winegcc.patch

@ -1,59 +0,0 @@
http://bugs.gentoo.org/260726
diff --git a/tools/winebuild/main.c b/tools/winebuild/main.c
index 16b4165..5c77267 100644
--- a/tools/winebuild/main.c
+++ b/tools/winebuild/main.c
@@ -48,10 +48,13 @@ int link_ext_symbols = 0;
int force_pointer_size = 0;
int unwind_tables = 0;
+#undef FORCE_POINTER_SIZE
#ifdef __i386__
enum target_cpu target_cpu = CPU_x86;
+#define FORCE_POINTER_SIZE
#elif defined(__x86_64__)
enum target_cpu target_cpu = CPU_x86_64;
+#define FORCE_POINTER_SIZE
#elif defined(__powerpc__)
enum target_cpu target_cpu = CPU_POWERPC;
#elif defined(__arm__)
@@ -611,6 +614,10 @@ int main(int argc, char **argv)
signal( SIGTERM, exit_on_signal );
signal( SIGINT, exit_on_signal );
+#ifdef FORCE_POINTER_SIZE
+ force_pointer_size = sizeof(size_t);
+#endif
+
output_file = stdout;
argv = parse_options( argc, argv, spec );
diff --git a/tools/winegcc/winegcc.c b/tools/winegcc/winegcc.c
index 06aa200..c44d2e3 100644
--- a/tools/winegcc/winegcc.c
+++ b/tools/winegcc/winegcc.c
@@ -213,10 +213,13 @@ struct options
strarray* files;
};
+#undef FORCE_POINTER_SIZE
#ifdef __i386__
static const enum target_cpu build_cpu = CPU_x86;
+#define FORCE_POINTER_SIZE
#elif defined(__x86_64__)
static const enum target_cpu build_cpu = CPU_x86_64;
+#define FORCE_POINTER_SIZE
#elif defined(__powerpc__)
static const enum target_cpu build_cpu = CPU_POWERPC;
#elif defined(__arm__)
@@ -1258,6 +1261,9 @@ int main(int argc, char **argv)
opts.linker_args = strarray_alloc();
opts.compiler_args = strarray_alloc();
opts.winebuild_args = strarray_alloc();
+#ifdef FORCE_POINTER_SIZE
+ opts.force_pointer_size = sizeof(size_t);
+#endif
/* determine the processor type */
if (strendswith(argv[0], "winecpp")) opts.processor = proc_cpp;

21
app-emulation/wine-any/files/wine-1.6-memset-O3.patch

@ -1,21 +0,0 @@
Avoid "undefined reference to `memset'" error when building with
USE=custom-cflags and -O3 in CFLAGS with gcc-4.8.
See:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=56888
http://bugs.winehq.org/show_bug.cgi?id=33521
https://bugs.gentoo.org/show_bug.cgi?id=480508
diff --git a/configure.ac b/configure.ac
index d8033cf..fe7cc7d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1767,6 +1767,7 @@ then
dnl Check for some compiler flags
WINE_TRY_CFLAGS([-fno-builtin],[AC_SUBST(BUILTINFLAG,"-fno-builtin")])
+ WINE_TRY_CFLAGS([-fno-tree-loop-distribute-patterns])
WINE_TRY_CFLAGS([-fno-strict-aliasing])
dnl clang needs to be told to fail on unknown options
saved_CFLAGS=$CFLAGS

31
app-emulation/wine-any/files/wine-1.9.5-multilib-portage.patch

@ -1,31 +0,0 @@
https://bugs.gentoo.org/show_bug.cgi?id=395615
Explicitly add the required -m32/m64 to *FLAGS; this overrides any
arch-specific -m* flags that may have been appended by multilib-portage.
Even though -m32/m64 is now added to *FLAGS, -m32/m64 still has to be
explicitly added to CC and CXX due to wine's build system. For example,
winegcc saves the build-time value of CC and uses it at runtime.
--- a/configure.ac 2016-03-05 20:53:50.574628728 -0500
+++ b/configure.ac 2016-03-05 20:57:54.945617833 -0500
@@ -141,6 +141,9 @@
then
CC="$CC -m32"
CXX="$CXX -m32"
+ CFLAGS="$CFLAGS -m32"
+ LDFLAGS="$LDFLAGS -m32"
+ CXXFLAGS="$CXXFLAGS -m32"
AC_MSG_CHECKING([whether $CC works])
AC_LINK_IFELSE([AC_LANG_PROGRAM()],AC_MSG_RESULT([yes]),
[AC_MSG_RESULT([no])
@@ -160,6 +163,9 @@
fi
CC="$CC -m64"
CXX="$CXX -m64"
+ CFLAGS="$CFLAGS -m64"
+ LDFLAGS="$LDFLAGS -m64"
+ CXXFLAGS="$CXXFLAGS -m64"
host_cpu="x86_64"
notice_platform="64-bit "
AC_SUBST(TARGETFLAGS,"-m64")

14
app-emulation/wine-any/files/wine-2.0-multislot-apploader.patch

@ -1,14 +0,0 @@
diff --git a/tools/wineapploader.in b/tools/wineapploader.in
index f48d552..14001a0 100755
--- a/tools/wineapploader.in
+++ b/tools/wineapploader.in
@@ -20,7 +20,8 @@
#
# determine the app Winelib library name
-appname=`basename "$0" .exe`.exe
+appname=${0##*/}
+appname="${appname%%-*}.exe"
# first try explicit WINELOADER
if [ -x "$WINELOADER" ]; then exec "$WINELOADER" "$appname" "$@"; fi

39
app-emulation/wine-any/wine-any-2.0.ebuild → app-emulation/wine-any/wine-any-2.0-r1.ebuild

@ -12,7 +12,7 @@ MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
@ -28,13 +28,13 @@ STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
D3D9_P="wine-d3d9-${PV}"
D3D9_DIR="${WORKDIR}/wine-d3d9-patches-${D3D9_P}"
WDC_V="20150204"
WINE_DESKTOP_COMMON_P="wine-desktop-common-${WDC_V}"
GWP_V="20170830"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with optional external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://github.com/NP-Hardass/wine-desktop-common/archive/${WDC_V}.tar.gz -> ${WINE_DESKTOP_COMMON_P}.tar.gz
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
if [[ ${PV} == "9999" ]] ; then
@ -162,6 +162,7 @@ RDEPEND="${COMMON_DEPEND}
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
dev-util/patchbin
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
@ -193,7 +194,7 @@ wine_compiler_check() {
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${FILESDIR}"/pr66838.c -o "${T}"/pr66838 || die
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
@ -209,7 +210,7 @@ wine_compiler_check() {
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${FILESDIR}"/pr69140.c -o "${T}"/pr69140 ) >/dev/null 2>&1
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
@ -225,7 +226,7 @@ wine_compiler_check() {
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${FILESDIR}"/builtin_ms_va_list.c -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
@ -351,12 +352,25 @@ src_unpack() {
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
local PATCHES=(
"${FILESDIR}"/${MY_PN}-1.5.26-winegcc.patch #260726
"${FILESDIR}"/${MY_PN}-1.9.5-multilib-portage.patch #395615
"${FILESDIR}"/${MY_PN}-1.6-memset-O3.patch #480508
"${FILESDIR}"/${MY_PN}-2.0-multislot-apploader.patch
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch"
"${PATCHDIR}/patches/freetype-2.8.1-segfault.patch" #631676
"${PATCHDIR}/patches/freetype-2.8.1-drop-glyphs.patch" #631376
)
local PATCHES_BIN=(
"${PATCHDIR}/patches/freetype-2.8.1-patch-fonts.patch" #631376
)
if use staging; then
ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
@ -385,6 +399,7 @@ src_prepare() {
fi
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
@ -401,7 +416,7 @@ src_prepare() {
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${WORKDIR}/${WINE_DESKTOP_COMMON_P}/icons/oic_winlogo.ico" dlls/user32/resources/ || die
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
}

39
app-emulation/wine-any/wine-any-2.1.ebuild → app-emulation/wine-any/wine-any-2.1-r1.ebuild

@ -12,7 +12,7 @@ MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
@ -28,13 +28,13 @@ STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
D3D9_P="wine-d3d9-${PV}"
D3D9_DIR="${WORKDIR}/wine-d3d9-patches-${D3D9_P}"
WDC_V="20150204"
WINE_DESKTOP_COMMON_P="wine-desktop-common-${WDC_V}"
GWP_V="20170830"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with optional external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://github.com/NP-Hardass/wine-desktop-common/archive/${WDC_V}.tar.gz -> ${WINE_DESKTOP_COMMON_P}.tar.gz
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
if [[ ${PV} == "9999" ]] ; then
@ -162,6 +162,7 @@ RDEPEND="${COMMON_DEPEND}
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
dev-util/patchbin
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
@ -193,7 +194,7 @@ wine_compiler_check() {
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${FILESDIR}"/pr66838.c -o "${T}"/pr66838 || die
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
@ -209,7 +210,7 @@ wine_compiler_check() {
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${FILESDIR}"/pr69140.c -o "${T}"/pr69140 ) >/dev/null 2>&1
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
@ -225,7 +226,7 @@ wine_compiler_check() {
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${FILESDIR}"/builtin_ms_va_list.c -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
@ -351,12 +352,25 @@ src_unpack() {
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
local PATCHES=(
"${FILESDIR}"/${MY_PN}-1.5.26-winegcc.patch #260726
"${FILESDIR}"/${MY_PN}-1.9.5-multilib-portage.patch #395615
"${FILESDIR}"/${MY_PN}-1.6-memset-O3.patch #480508
"${FILESDIR}"/${MY_PN}-2.0-multislot-apploader.patch
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch"
"${PATCHDIR}/patches/freetype-2.8.1-segfault.patch" #631676
"${PATCHDIR}/patches/freetype-2.8.1-drop-glyphs.patch" #631376
)
local PATCHES_BIN=(
"${PATCHDIR}/patches/freetype-2.8.1-patch-fonts.patch" #631376
)
if use staging; then
ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
@ -385,6 +399,7 @@ src_prepare() {
fi
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
@ -401,7 +416,7 @@ src_prepare() {
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${WORKDIR}/${WINE_DESKTOP_COMMON_P}/icons/oic_winlogo.ico" dlls/user32/resources/ || die
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
}

39
app-emulation/wine-any/wine-any-2.12.ebuild → app-emulation/wine-any/wine-any-2.10-r1.ebuild

@ -12,7 +12,7 @@ MY_PN="${PN%%-*}"
MY_P="${MY_PN}-${PV}"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
SRC_URI=""
@ -28,13 +28,13 @@ STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
D3D9_P="wine-d3d9-${PV}"
D3D9_DIR="${WORKDIR}/wine-d3d9-patches-${D3D9_P}"
WDC_V="20150204"
WINE_DESKTOP_COMMON_P="wine-desktop-common-${WDC_V}"
GWP_V="20170830"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
DESCRIPTION="Free implementation of Windows(tm) on Unix, with optional external patchsets"
HOMEPAGE="https://www.winehq.org/"
SRC_URI="${SRC_URI}
https://github.com/NP-Hardass/wine-desktop-common/archive/${WDC_V}.tar.gz -> ${WINE_DESKTOP_COMMON_P}.tar.gz
https://dev.gentoo.org/~np-hardass/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
if [[ ${PV} == "9999" ]] ; then
@ -163,6 +163,7 @@ RDEPEND="${COMMON_DEPEND}
# tools/make_requests requires perl
DEPEND="${COMMON_DEPEND}
dev-util/patchbin
sys-devel/flex
>=sys-kernel/linux-headers-2.6
virtual/pkgconfig
@ -194,7 +195,7 @@ wine_compiler_check() {
# bug #549768
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) -le 2 ]]; then
ebegin "Checking for gcc-5 ms_abi compiler bug"
$(tc-getCC) -O2 "${FILESDIR}"/pr66838.c -o "${T}"/pr66838 || die
$(tc-getCC) -O2 "${PATCHDIR}/files/pr66838.c" -o "${T}"/pr66838 || die
# Run in subshell to prevent "Aborted" message
( "${T}"/pr66838 || false ) >/dev/null 2>&1
if ! eend $?; then
@ -210,7 +211,7 @@ wine_compiler_check() {
if use abi_x86_64 && [[ $(gcc-major-version) = 5 && $(gcc-minor-version) = 3 ]]; then
ebegin "Checking for gcc-5-3 stack realignment compiler bug"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${FILESDIR}"/pr69140.c -o "${T}"/pr69140 ) >/dev/null 2>&1
( $(tc-getCC) -O2 -mincoming-stack-boundary=3 "${PATCHDIR}/files/pr69140.c" -o "${T}"/pr69140 ) >/dev/null 2>&1
if ! eend $?; then
eerror "Wine cannot be built with this version of gcc-5.3"
eerror "due to compiler bugs; please re-emerge the latest gcc-5.3.x ebuild,"
@ -226,7 +227,7 @@ wine_compiler_check() {
if use abi_x86_64; then
ebegin "Checking for 64-bit compiler with builtin_ms_va_list support"
# Compile in subshell to prevent "Aborted" message
( $(tc-getCC) -O2 "${FILESDIR}"/builtin_ms_va_list.c -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
( $(tc-getCC) -O2 "${PATCHDIR}/files/builtin_ms_va_list.c" -o "${T}"/builtin_ms_va_list >/dev/null 2>&1)
if ! eend $?; then
eerror "This version of $(tc-getCC) does not support builtin_ms_va_list, can't enable 64-bit wine"
eerror
@ -352,12 +353,25 @@ src_unpack() {
}
src_prepare() {
eapply_bin(){
local patch
for patch in ${PATCHES_BIN[@]}; do
patchbin --nogit < "${patch}" || die
done
}
local md5="$(md5sum server/protocol.def)"
local PATCHES=(
"${FILESDIR}"/${MY_PN}-1.5.26-winegcc.patch #260726
"${FILESDIR}"/${MY_PN}-1.9.5-multilib-portage.patch #395615
"${FILESDIR}"/${MY_PN}-1.6-memset-O3.patch #480508
"${FILESDIR}"/${MY_PN}-2.0-multislot-apploader.patch
"${PATCHDIR}/patches/${MY_PN}-1.5.26-winegcc.patch" #260726
"${PATCHDIR}/patches/${MY_PN}-1.9.5-multilib-portage.patch" #395615
"${PATCHDIR}/patches/${MY_PN}-1.6-memset-O3.patch" #480508
"${PATCHDIR}/patches/${MY_PN}-2.0-multislot-apploader.patch"
"${PATCHDIR}/patches/freetype-2.8.1-segfault.patch" #631676
"${PATCHDIR}/patches/freetype-2.8.1-drop-glyphs.patch" #631376
)
local PATCHES_BIN=(
"${PATCHDIR}/patches/freetype-2.8.1-patch-fonts.patch" #631376
)
if use staging; then
ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
@ -386,6 +400,7 @@ src_prepare() {
fi
default
eapply_bin
eautoreconf
# Modification of the server protocol requires regenerating the server requests
@ -402,7 +417,7 @@ src_prepare() {
sed -e "/^Exec=/s/wine /wine-${WINE_VARIANT} /" -i loader/wine.desktop || die
# hi-res default icon, #472990, https://bugs.winehq.org/show_bug.cgi?id=24652
cp "${WORKDIR}/${WINE_DESKTOP_COMMON_P}/icons/oic_winlogo.ico" dlls/user32/resources/ || die
cp "${PATCHDIR}/files/oic_winlogo.ico" dlls/user32/resources/ || die
l10n_get_locales > po/LINGUAS || die # otherwise wine doesn't respect LINGUAS
}

39
app-emulation/wine-any/wine-any-2.13.ebuild → app-emulation/wine-any/wine-any-2.11-r1.ebuild

@ -12,7 +12,7 @@ MY_PN="${PN%%-*}"